#pragma once
#include "UnitRecord.h"

class DynamicUnitRecord : public UnitRecord
{
public:
  DynamicUnitRecord(BWAPI::Unit* unit);

protected:
  virtual SavedState* saveState()
  {
    return m_currentUnitRecordType->saveState();
  }
};